apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend-deploy
  labels:
    app: backend-deploy
spec:
  replicas: 2
  selector:
    matchLabels:
      app: backend
  template:
    metadata:
      labels:
        app: backend
    spec:
      containers:
        - name: backend-server
          image: registry.gitlab.com/leo.kim1/osc-prj-backend
          ports:
            - containerPort: 8080
          envFrom:
            - configMapRef:
                name: proj2-cm
            - secretRef:
                name: postgre-passwd
      imagePullSecrets:
        - name: regcred